### Method

# Ggit Submodule reload

#### Declaration [src]

    void
    ggit_submodule_reload (
      GgitSubmodule* submodule,
      gboolean force,
      GError** error
    )

#### Description [src]

Rereads submodule info from config, index, and HEAD. Call this if you have reason to believe that it has changed.

#### Parameters

`force`

  Type: `gboolean`

  Reload even if the data doesn’t seem out of date.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.